-- by modelleicher
-- www.schwabenmodding.bplaced.net
-- Setzt den Orientierungspunkt an dem sich die Schaufel beim einklinken orientiert.

OldtimerFLImplement = {};

function OldtimerFLImplement.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function OldtimerFLImplement:load(xmlFile)
    self.OFLreferencePoint = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.OldtimerFLImplement#referencePoint"));		
end;

function OldtimerFLImplement:delete()
end;

function OldtimerFLImplement:mouseEvent(posX, posY, isDown, isUp, button)
end;

function OldtimerFLImplement:keyEvent(unicode, sym, modifier, isDown)   
end;

function OldtimerFLImplement:update(dt)
   
end;

function OldtimerFLImplement:draw()

end;




